Bug 26643 - Staff should be notified that a transfer has been completed on checkin
Summary: Staff should be notified that a transfer has been completed on checkin
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Martin Renvoize
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 22160
  Show dependency treegraph
 
Reported: 2020-10-09 12:15 UTC by Martin Renvoize
Modified: 2020-10-15 10:55 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 26643: Notify librarian of completed transfers (3.60 KB, patch)
2020-10-09 12:16 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 26643: Notify librarian of completed transfers (3.67 KB, patch)
2020-10-09 14:14 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 26643: Notify librarian of completed transfers (3.72 KB, patch)
2020-10-14 12:15 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 26643: (QA follow-up) Fix typo in message (1.44 KB, patch)
2020-10-14 12:15 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Renvoize 2020-10-09 12:15:30 UTC
It was brought to my attention, on bug 25377, that some users were unaware that the action of checking in an item at a branch can trigger the completion of a transfer.

We should notify the user that a transfer has been completed to clarify that this action has taken place.
Comment 1 Martin Renvoize 2020-10-09 12:16:10 UTC
Created attachment 111397 [details] [review]
Bug 26643: Notify librarian of completed transfers

It came to light that it's not clear to all users that a checkin results
in the completion of a transfer if one exists for the item being checked
in.  This patch adds such a notification to the error messages loop to
highlight that the item has been recieved from it's sending brnach.

To test
1/ Setup a transfer from branch A to branch B
2/ Check the item in at branch B
3/ Note that a new message appears in the 'Check in message' alert box
saying "Item recieved from branch A"
4/ Signoff
Comment 2 ByWater Sandboxes 2020-10-09 14:14:39 UTC
Created attachment 111404 [details] [review]
Bug 26643: Notify librarian of completed transfers

It came to light that it's not clear to all users that a checkin results
in the completion of a transfer if one exists for the item being checked
in.  This patch adds such a notification to the error messages loop to
highlight that the item has been recieved from it's sending brnach.

To test
1/ Setup a transfer from branch A to branch B
2/ Check the item in at branch B
3/ Note that a new message appears in the 'Check in message' alert box
saying "Item recieved from branch A"
4/ Signoff

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>
Comment 3 Katrin Fischer 2020-10-14 12:15:47 UTC
Created attachment 111607 [details] [review]
Bug 26643: Notify librarian of completed transfers

It came to light that it's not clear to all users that a checkin results
in the completion of a transfer if one exists for the item being checked
in.  This patch adds such a notification to the error messages loop to
highlight that the item has been recieved from it's sending brnach.

To test
1/ Setup a transfer from branch A to branch B
2/ Check the item in at branch B
3/ Note that a new message appears in the 'Check in message' alert box
saying "Item recieved from branch A"
4/ Signoff

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Katrin Fischer 2020-10-14 12:15:54 UTC
Created attachment 111608 [details] [review]
Bug 26643: (QA follow-up) Fix typo in message

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Jonathan Druart 2020-10-15 10:55:50 UTC
Pushed to master for 20.11, thanks to everybody involved!